import * as antlr from "./antlr";
import * as nodes from "./nodes";
import * as typescript from "./typescript";
export { antlr, typescript, nodes };
export declare function printSource(node: nodes.Node): string;
export declare function findTree(tree: nodes.Tree, searchPattern: nodes.Node): nodes.Tree | null;
export declare function treesMatch(tree: nodes.Tree, searchPattern: nodes.Node): boolean;
export declare function transformTree(tree: nodes.Tree, searchPattern: nodes.Node, transform: (matchedTree: nodes.Tree) => nodes.Node): nodes.Node;
